Skip to content

Create tagcategory

Request

Creates a new Tagcategory record. Tagcategory resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the tag category is active and can be used.

Example:true
namestringrequired

Human-readable name of the tag category.

Example:"Example Name"
tagcategoryIdstring

Canonical identifier for the tag category.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/tagcategory' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "tagcategoryId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Tagcategory created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when the tag category was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether the tag category is active and can be used.

Example:true
namestringrequired

Human-readable name of the tag category.

Example:"Example Name"
tagcategoryIdstringrequired

Canonical identifier for the tag category.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when the tag category was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "tagcategoryId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z" }